Index: /palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- /palm/trunk/SOURCE/spectra_mod.f90	(revision 4841)
+++ /palm/trunk/SOURCE/spectra_mod.f90	(revision 4842)
@@ -25,4 +25,9 @@
 ! -----------------
 ! $Id$
+! reading of namelist file and actions in case of namelist errors revised so that statement labels
+! and goto statements are not required any more,
+! deprecated namelist removed
+!
+! 4828 2021-01-05 11:21:41Z Giersch
 ! support for MPI Fortran77 interface (mpif.h) removed
 !
@@ -146,17 +151,12 @@
 
     USE control_parameters,                                                                        &
-        ONLY:  dt_data_output,                                                                     &
-               message_string
+        ONLY:  dt_data_output
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
-
-    NAMELIST /spectra_par/  averaging_interval_sp,                                                 &
-                            comp_spectra_level,                                                    &
-                            data_output_sp,                                                        &
-                            dt_dosp,                                                               &
-                            skip_time_dosp,                                                        &
-                            spectra_direction
+    CHARACTER(LEN=100) ::  line  !< dummy string that contains the current line of the parameter file
+
+    INTEGER(iwp) ::  io_status   !< status after reading the namelist file
+
 
     NAMELIST /spectra_parameters/                                                                  &
@@ -168,69 +168,30 @@
                             spectra_direction
 !
-!-- Position the namelist-file at the beginning (it was already opened in parin), search for the
-!-- namelist-group of the package and position the file at this line.
-    line = ' '
-
-!
-!-- Try to find the spectra package
-    REWIND ( 11 )
-    line = ' '
-    DO WHILE ( INDEX( line, '&spectra_parameters' ) == 0 )
-       READ ( 11, '(A)', END=12 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read namelist
-    READ ( 11, spectra_parameters, ERR = 10 )
-
-!
-!-- Default setting of dt_dosp here (instead of check_parameters), because its current value is
-!-- needed in init_pegrid
-    IF ( dt_dosp == 9999999.9_wp )  dt_dosp = dt_data_output
-
-!
-!-- Set general switch that spectra shall be calculated
-    calculate_spectra = .TRUE.
-
-    GOTO 14
-
- 10 BACKSPACE( 11 )
-    READ( 11 , '(A)') line
-    CALL parin_fail_message( 'spectra_parameters', line )
-!
-!-- Try to find the old namelist
- 12 REWIND ( 11 )
-    line = ' '
-    DO WHILE ( INDEX( line, '&spectra_par' ) == 0 )
-       READ ( 11, '(A)', END=14 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read namelist
-    READ ( 11, spectra_par, ERR = 13, END = 14 )
-
-
-    message_string = 'namelist spectra_par is deprecated and will be removed in near future.' //   &
-                     ' Please use namelist spectra_parameters instead'
-    CALL message( 'spectra_parin', 'PA0487', 0, 1, 0, 6, 0 )
-!
-!-- Default setting of dt_dosp here (instead of check_parameters), because its current value is
-!-- needed in init_pegrid
-    IF ( dt_dosp == 9999999.9_wp )  dt_dosp = dt_data_output
-
-!
-!-- Set general switch that spectra shall be calculated
-    calculate_spectra = .TRUE.
-
-    GOTO 14
-
- 13 BACKSPACE( 11 )
-    READ( 11 , '(A)') line
-    CALL parin_fail_message( 'spectra_par', line )
-
-
- 14 CONTINUE
+!-- Position the namelist-file at the beginning (it was already opened in parin), and try to read
+!-- the namelist.
+    REWIND( 11 )
+    READ( 11, spectra_parameters, IOSTAT=io_status )
+
+!
+!-- Action depending on the READ status
+    IF ( io_status == 0 )  THEN
+!
+!--    spectra_parameters namelist was found and read correctly.
+!--    Default setting of dt_dosp here (instead of check_parameters), because its current value is
+!--    needed in init_pegrid.
+       IF ( dt_dosp == 9999999.9_wp )  dt_dosp = dt_data_output
+!
+!--    Set general switch that spectra shall be calculated.
+       calculate_spectra = .TRUE.
+
+    ELSEIF ( io_status > 0 )  THEN
+!
+!--    spectra_parameters namelist was found but contained errors. Print an error message including
+!--    the line that caused the problem.
+       BACKSPACE( 11 )
+       READ( 11 , '(A)' ) line
+       CALL parin_fail_message( 'spectra_parameters', line )
+
+    ENDIF
 
  END SUBROUTINE spectra_parin
Index: /palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4841)
+++ /palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4842)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! reading of namelist file and actions in case of namelist errors revised so that statement labels
+! and goto statements are not required any more
+!
+! 4828 2021-01-05 11:21:41Z Giersch
 ! Bugfix: correct the down-ward surf_lsm index in the routine surface_data_output_collect_2d
 !
@@ -4205,36 +4209,39 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
-
-
-    NAMELIST /surface_data_output_parameters/ averaging_interval_surf, data_output_surf,           &
-                                              dt_dosurf, dt_dosurf_av, skip_time_dosurf,           &
-                                              skip_time_dosurf_av, to_netcdf, to_vtk
-
-    line = ' '
-
-!
-!-- Try to find the namelist
-    REWIND ( 11 )
-    line = ' '
-    DO WHILE ( INDEX( line, '&surface_data_output_parameters' ) == 0 )
-       READ ( 11, '(A)', END=14 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read namelist
-    READ ( 11, surface_data_output_parameters, ERR = 10 )
-!
-!-- Set flag that indicates that surface data output is switched on
-    surface_output = .TRUE.
-    GOTO 14
-
- 10 BACKSPACE( 11 )
-    READ( 11 , '(A)') line
-    CALL parin_fail_message( 'surface_data_output_parameters', line )
-
- 14 CONTINUE
-
+    CHARACTER(LEN=100) ::  line  !< dummy string that contains the current line of the parameter file
+
+    INTEGER(iwp) ::  io_status   !< status after reading the namelist file
+
+
+    NAMELIST /surface_data_output_parameters/  averaging_interval_surf,                            &
+                                               data_output_surf,                                   &
+                                               dt_dosurf,                                          &
+                                               dt_dosurf_av,                                       &
+                                               skip_time_dosurf,                                   &
+                                               skip_time_dosurf_av,                                &
+                                               to_netcdf,                                          &
+                                               to_vtk
+
+!
+!-- Move to the beginning of the namelist file and try to find and read the namelist.
+    REWIND( 11 )
+    READ( 11, surface_data_output_parameters, IOSTAT=io_status )
+!
+!-- Action depending on the READ status
+    IF ( io_status == 0 )  THEN
+!
+!--    surface_data_output_parameters namelist was found and read correctly. Set flag that indicates
+!--    that surface data output is switched on.
+       surface_output = .TRUE.
+
+    ELSEIF ( io_status > 0 )  THEN
+!
+!--    surface_data_output_parameters namelist was found but contained errors. Print an error
+!--    message including the line that caused the problem.
+       BACKSPACE( 11 )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'surface_data_output_parameters', line )
+
+    ENDIF
 
  END SUBROUTINE surface_data_output_parin
Index: /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4841)
+++ /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 4842)
@@ -25,13 +25,17 @@
 ! -----------------
 ! $Id$
+! reading of namelist file and actions in case of namelist errors revised so that statement labels
+! and goto statements are not required any more
+!
+! 4828 2021-01-05 11:21:41Z Giersch
 ! Implementation of downward facing USM and LSM surfaces
 !
 ! 4647 2020-08-24 16:36:18Z suehring
-! Change default value of synthetic turbulence adjustment as well as compute_velocity_seeds_local 
-! By default, the random-seed computation is now distributed among several cores. Especially for 
+! Change default value of synthetic turbulence adjustment as well as compute_velocity_seeds_local
+! By default, the random-seed computation is now distributed among several cores. Especially for
 ! large length scales this is significantly faster.
 !
 ! 4640 2020-08-11 16:28:32Z suehring
-! - to avoid that the correction term in r11/r22 computation becomes unrealistically high, limit 
+! - to avoid that the correction term in r11/r22 computation becomes unrealistically high, limit
 !   Obukhov length (term is not valid for near neutral conditions)
 ! - to avoid unrealistically large perturbations, change computation of r21 so that this resembles
@@ -44,5 +48,5 @@
 ! Bugfix in initialization from ASCII file - x-length scales at the bottom boundary were not
 ! initialized properly
-! 
+!
 ! 4566 2020-06-16 10:11:51Z suehring
 ! - revise parametrization for reynolds-stress components, turbulent length- and time scales
@@ -50,8 +54,8 @@
 ! - change default value of time interval to adjust turbulence parametrization
 ! - bugfix in computation of amplitude-tensor (vertical flux of horizontal momentum)
-! 
+!
 ! 4562 2020-06-12 08:38:47Z raasch
 ! Parts of r4559 re-formatted
-! 
+!
 ! 4559 2020-06-11 08:51:48Z raasch
 ! File re-formatted to follow the PALM coding standard
@@ -784,7 +788,7 @@
     ENDIF
 !
-!-- Assign initial profiles. Note, this is only required if turbulent inflow from the left is 
+!-- Assign initial profiles. Note, this is only required if turbulent inflow from the left is
 !-- desired, not in case of any of the nesting (offline or self nesting) approaches.
-    IF ( .NOT. nesting_offline  .AND.  .NOT.  child_domain )  THEN 
+    IF ( .NOT. nesting_offline  .AND.  .NOT.  child_domain )  THEN
        u_init = mean_inflow_profiles(:,1)
        v_init = mean_inflow_profiles(:,2)
@@ -1209,6 +1213,7 @@
  SUBROUTINE stg_parin
 
-    CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
-
+    CHARACTER(LEN=100) ::  line  !< dummy string that contains the current line of the parameter file
+
+    INTEGER(iwp) ::  io_status   !< status after reading the namelist file
 
     NAMELIST /stg_par/  dt_stg_adjust,                                                             &
@@ -1217,28 +1222,27 @@
                         compute_velocity_seeds_local
 
-    line = ' '
-!
-!-- Try to find stg package
-    REWIND ( 11 )
-    line = ' '
-    DO WHILE ( INDEX( line, '&stg_par' ) == 0 )
-       READ ( 11, '(A)', END = 20 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read namelist
-    READ ( 11, stg_par, ERR = 10, END = 20 )
-
-!
-!-- Set flag that indicates that the synthetic turbulence generator is switched on
-    syn_turb_gen = .TRUE.
-    GOTO 20
-
- 10 BACKSPACE( 11 )
-    READ( 11 , '(A)') line
-    CALL parin_fail_message( 'stg_par', line )
-
- 20 CONTINUE
+
+!
+!-- Move to the beginning of the namelist file and try to find and read the namelist.
+    REWIND( 11 )
+    READ( 11, stg_par, IOSTAT=io_status )
+
+!
+!-- Action depending on the READ status
+    IF ( io_status == 0 )  THEN
+!
+!--    stg_par namelist was found and read correctly. Set flag that indicates that the synthetic
+!--    turbulence generator is switched on.
+       syn_turb_gen = .TRUE.
+
+    ELSEIF ( io_status > 0 )  THEN
+!
+!--    stg_par namelist was found but contained errors. Print an error message including the line
+!--    that caused the problem.
+       BACKSPACE( 11 )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'stg_par', line )
+
+    ENDIF
 
  END SUBROUTINE stg_parin
@@ -1807,5 +1811,5 @@
        ENDDO
     ENDDO
-    
+
 #if defined( __parallel )
 !
@@ -1937,5 +1941,5 @@
     REAL(wp), DIMENSION(-mergp_x:mergp_x,nzb:nzt+1) :: b_x     !< filter function in x-direction
     REAL(wp), DIMENSION(-mergp_z:mergp_z,nzb:nzt+1) :: b_z     !< filter function in z-direction
-    
+
     REAL(wp), DIMENSION(nzb_y_stg:nzt_y_stg+1,nxl:nxr) :: f_n_l   !<  local velocity seed
     REAL(wp), DIMENSION(nzb:nzt+1,nxl:nxr)             :: f_n     !<  velocity seed
@@ -1982,5 +1986,5 @@
        ENDDO
     ENDDO
-    
+
 #if defined( __parallel )
 !
@@ -2082,5 +2086,5 @@
 ! Description:
 ! ------------
-!> Parametrization of the Reynolds-stress componentes, turbulent length- and time scales. The 
+!> Parametrization of the Reynolds-stress componentes, turbulent length- and time scales. The
 !> parametrization follows Brost et al. (1982) with modifications described in Rotach et al. (1996),
 !> which is applied in state-of-the-art dispserion modelling.
@@ -2165,5 +2169,5 @@
 !
 !--    u'w' and v'w'. After calculation of the longitudinal and crosswind component
-!--    these are projected along the x- and y-direction. Note, it is assumed that 
+!--    these are projected along the x- and y-direction. Note, it is assumed that
 !--    the flux within the boundary points opposite to the vertical gradient.
        rlon2 = scale_us**2 * ( zzi - 1.0_wp )
@@ -2298,5 +2302,5 @@
     DO  k = nzb+1, nzt+1
        IF ( r11(k) > 10E-6_wp )  THEN
-          a11(k) = SQRT( r11(k) ) 
+          a11(k) = SQRT( r11(k) )
           a21(k) = r21(k) / a11(k)
           a31(k) = r31(k) / a11(k)
@@ -2308,9 +2312,9 @@
     ENDDO
     DO  k = nzb+1, nzt+1
-       a22(k) = r22(k) - a21(k)**2 
+       a22(k) = r22(k) - a21(k)**2
        IF ( a22(k) > 10E-6_wp )  THEN
           a22(k) = SQRT( a22(k) )
           a32(k) = ( r32(k) - a21(k) * a31(k) ) / a22(k)
-       ELSE 
+       ELSE
           a22(k) = 10E-8_wp
           a32(k) = 10E-8_wp
@@ -2355,10 +2359,10 @@
     CALL calc_scaling_variables
 !
-!-- Parametrize Reynolds-stress tensor. Parametrization follows Brost et al. (1982) with 
+!-- Parametrize Reynolds-stress tensor. Parametrization follows Brost et al. (1982) with
 !-- modifications described in Rotach et al. (1996) and is based on boundary-layer depth, friction
-!-- velocity and velocity scale. 
+!-- velocity and velocity scale.
     CALL parametrize_turbulence
 !
-!-- Calculate coefficient matrix from Reynolds stress tensor  
+!-- Calculate coefficient matrix from Reynolds stress tensor
 !-- (Lund rotation)
     CALL calc_coeff_matrix
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4841)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4842)
@@ -27,6 +27,10 @@
 ! -----------------
 ! $Id$
+! reading of namelist file and actions in case of namelist errors revised so that statement labels
+! and goto statements are not required any more
+!
+! 4831 2021-01-06 17:55:14Z suehring
 ! Bugfix in checking output variables with suffix indicating the surface facing
-! 
+!
 ! 4828 2021-01-05 11:21:41Z Giersch
 ! Deactivated A/C cooling capacity for office buildings built before year 2000.
@@ -43,8 +47,8 @@
 ! - bugfix in openmp directive
 ! - make t_green_h and t_green_v public (required in indoor model)
-! 
+!
 ! 4747 2020-10-16 09:19:57Z pavelkrc
 ! Fix window absorptivity calculation (correctly account for 2-sided reflection)
-! 
+!
 ! 4738 2020-10-14 08:05:07Z maronga
 ! Updating building data base (on behalf of Sascha Rissmann)
@@ -111,14 +115,14 @@
 ! 4602 2020-07-14 14:49:45Z suehring
 ! Add missing initialization of albedo type with values given from static input file
-! 
+!
 ! 4581 2020-06-29 08:49:58Z suehring
 ! Missing initialization in case of cyclic_fill runs
-! 
+!
 ! 4535 2020-05-15 12:07:23Z raasch
 ! bugfix for restart data format query
-! 
+!
 ! 4517 2020-05-03 14:29:30Z raasch
 ! added restart with MPI-IO for reading local arrays
-! 
+!
 ! 4510 2020-04-29 14:19:18Z raasch
 ! Further re-formatting to follow the PALM coding standard
@@ -318,5 +322,5 @@
 !> -------------
 !> @todo Revise sorting of building_pars
-!> @todo Revise initialization when building_pars / building_surface_pars are provided - 
+!> @todo Revise initialization when building_pars / building_surface_pars are provided -
 !>       intialization is not consistent to building_pars
 !> @todo Revise flux conversion in energy-balance solver
@@ -5813,18 +5817,7 @@
     IMPLICIT NONE
 
-    CHARACTER(LEN=80)  ::  line  !< string containing current line of file PARIN
-
-    NAMELIST /urban_surface_par/                                                                   &
-                        building_type,                                                             &
-                        roof_category,                                                             &
-                        roof_inner_temperature,                                                    &
-                        roughness_concrete,                                                        &
-                        soil_inner_temperature,                                                    &
-                        urban_surface,                                                             &
-                        usm_wall_mod,                                                              &
-                        wall_category,                                                             &
-                        wall_inner_temperature,                                                    &
-                        window_inner_temperature
-
+    CHARACTER(LEN=100)  ::  line  !< string containing current line of file PARIN
+
+    INTEGER(iwp) ::  io_status    !< status after reading the namelist file
 
     NAMELIST /urban_surface_parameters/                                                            &
@@ -5843,55 +5836,25 @@
 
 !
-!-- Try to find urban surface model package
-    REWIND ( 11 )
-    line = ' '
-    DO WHILE ( INDEX( line, '&urban_surface_parameters' ) == 0 )
-       READ ( 11, '(A)', END = 12 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read user-defined namelist
-    READ ( 11, urban_surface_parameters, ERR = 10 )
-
-!
-!-- Set flag that indicates that the urban surface model is switched on
-    urban_surface = .TRUE.
-
-    GOTO 14
-
- 10 BACKSPACE( 11 )
-    READ( 11 , '(A)') line
-    CALL parin_fail_message( 'urban_surface_parameters', line )
-!
-!-- Try to find old namelist
- 12 REWIND ( 11 )
-    line = ' '
-    DO WHILE ( INDEX( line, '&urban_surface_par' ) == 0 )
-       READ ( 11, '(A)', END = 14 )  line
-    ENDDO
-    BACKSPACE ( 11 )
-
-!
-!-- Read user-defined namelist
-    READ ( 11, urban_surface_par, ERR = 13, END = 14 )
-
-    message_string = 'namelist urban_surface_par is deprecated and will be removed in near ' //    &
-                     'future. Please use namelist urban_surface_parameters instead'
-    CALL message( 'usm_parin', 'PA0487', 0, 1, 0, 6, 0 )
-
-!
-!-- Set flag that indicates that the urban surface model is switched on
-    urban_surface = .TRUE.
-
-    GOTO 14
-
- 13 BACKSPACE( 11 )
-    READ( 11 , '(A)') line
-    CALL parin_fail_message( 'urban_surface_par', line )
-
-
- 14 CONTINUE
-
+!-- Move to the beginning of the namelist file and try to find and read the namelist.
+    REWIND( 11 )
+    READ( 11, urban_surface_parameters, IOSTAT=io_status )
+
+!
+!-- Action depending on the READ status
+    IF ( io_status == 0 )  THEN
+!
+!--    urban_surface_parameters namelist was found and read correctly. Set flag that indicates that
+!--    the urban surface model is switched on.
+       urban_surface = .TRUE.
+
+    ELSEIF ( io_status > 0 )  THEN
+!
+!--    urban_surface_parameters namelist was found but contained errors. Print an error message
+!--    including the line that caused the problem.
+       BACKSPACE( 11 )
+       READ( 11 , '(A)' ) line
+       CALL parin_fail_message( 'urban_surface_parameters', line )
+
+    ENDIF
 
  END SUBROUTINE usm_parin
@@ -7584,8 +7547,8 @@
        1512000.0_wp,   &  !< parameter 8   - [J/(m3*K)] heat capacity 3rd wall layer above ground floor level
        0.93_wp,        &  !< parameter 9   - [W/(m*K)] thermal conductivity 1st wall layer (outside) above ground floor level
-       0.81_wp,        &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level       
+       0.81_wp,        &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level
        0.81_wp,        &  !< parameter 11  - [W/(m*K)] thermal conductivity 3rd wall layer above ground floor level
        299.15_wp,      &  !< parameter 12  - [K] indoor target summer temperature
-       293.15_wp,      &  !< parameter 13  - [K] indoor target winter temperature 
+       293.15_wp,      &  !< parameter 13  - [K] indoor target winter temperature
        0.93_wp,        &  !< parameter 14  - [-] wall emissivity above ground floor level
        0.86_wp,        &  !< parameter 15  - [-] green emissivity above ground floor level
@@ -7726,5 +7689,5 @@
                         /)
 
-    building_pars(:,2) = (/                                                                        &                        
+    building_pars(:,2) = (/                                                                        &
        0.75_wp,        &  !< parameter 0   - [-] wall fraction above ground floor level
        0.25_wp,        &  !< parameter 1   - [-] window fraction above ground floor level
@@ -7737,5 +7700,5 @@
        2112000.0_wp,   &  !< parameter 8   - [J/(m3*K)] heat capacity 3rd wall layer above ground floor level
        0.93_wp,        &  !< parameter 9   - [W/(m*K)] thermal conductivity 1st wall layer (outside) above ground floor level
-       0.046_wp,       &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level       
+       0.046_wp,       &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level
        2.1_wp,         &  !< parameter 11  - [W/(m*K)] thermal conductivity 3rd wall layer above ground floor level
        299.15_wp,      &  !< parameter 12  - [K] indoor target summer temperature
@@ -7879,5 +7842,5 @@
                         /)
 
-    building_pars(:,3) = (/                                                                        &                        
+    building_pars(:,3) = (/                                                                        &
        0.71_wp,        &  !< parameter 0   - [-] wall fraction above ground floor level
        0.29_wp,        &  !< parameter 1   - [-] window fraction above ground floor level
@@ -7890,5 +7853,5 @@
        1344000.0_wp,   &  !< parameter 8   - [J/(m3*K)] heat capacity 3rd wall layer above ground floor level
        0.93_wp,        &  !< parameter 9   - [W/(m*K)] thermal conductivity 1st wall layer (outside) above ground floor level
-       0.035_wp,       &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level       
+       0.035_wp,       &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level
        0.68_wp,        &  !< parameter 11  - [W/(m*K)] thermal conductivity 3rd wall layer above ground floor level
        299.15_wp,      &  !< parameter 12  - [K] indoor target summer temperature
@@ -8009,5 +7972,5 @@
        4.5_wp,         &  !< parameter 127 - [m2/m2] ratio internal surface/floor area
        40.0_wp,        &  !< parameter 128 - [W] maximal heating capacity
-       0.0_wp,         &  !< parameter 129 - [W] maximal cooling capacity 
+       0.0_wp,         &  !< parameter 129 - [W] maximal cooling capacity
        0.0_wp,         &  !< parameter 130 - [W/m2] additional internal heat gains dependent on occupancy of the room
        4.2_wp,         &  !< parameter 131 - [W/m2] basic internal heat gains without occupancy of the room
@@ -8043,5 +8006,5 @@
        1512000.0_wp,   &  !< parameter 8   - [J/(m3*K)] heat capacity 3rd wall layer above ground floor level
        0.93_wp,        &  !< parameter 9   - [W/(m*K)] thermal conductivity 1st wall layer (outside) above ground floor level
-       0.81_wp,        &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level       
+       0.81_wp,        &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level
        0.81_wp,        &  !< parameter 11  - [W/(m*K)] thermal conductivity 3rd wall layer above ground floor level
        299.15_wp,      &  !< parameter 12  - [K] indoor target summer temperature
@@ -8156,5 +8119,5 @@
        2.9_wp,         &  !< parameter 121 - [W/(m2*K)] u-value windows
        1.0_wp,         &  !< parameter 122 - [1/h] basic airflow without occupancy of the room for - summer 1.0_wp, winter 0.2
-       1.0_wp,         &  !< parameter 123 - [1/h] additional airflow dependent on occupancy of the room for - summer 1.0_wp, winter 0.8  
+       1.0_wp,         &  !< parameter 123 - [1/h] additional airflow dependent on occupancy of the room for - summer 1.0_wp, winter 0.8
        0.0_wp,         &  !< parameter 124 - [-] heat recovery efficiency
        3.0_wp,         &  !< parameter 125 - [m2/m2] dynamic parameter specific effective surface
@@ -8196,5 +8159,5 @@
        2112000.0_wp,   &  !< parameter 8   - [J/(m3*K)] heat capacity 3rd wall layer above ground floor level
        0.93_wp,        &  !< parameter 9   - [W/(m*K)] thermal conductivity 1st wall layer (outside) above ground floor level
-       2.1_wp,         &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level       
+       2.1_wp,         &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level
        0.046_wp,       &  !< parameter 11  - [W/(m*K)] thermal conductivity 3rd wall layer above ground floor level
        299.15_wp,      &  !< parameter 12  - [K] indoor target summer temperature
@@ -8308,5 +8271,5 @@
        0.7_wp,         &  !< parameter 120 - [-] g-value windows
        1.7_wp,         &  !< parameter 121 - [W/(m2*K)] u-value windows
-       1.0_wp,         &  !< parameter 122 - [1/h] basic airflow without occupancy of the room for - summer 1.0_wp, winter 0.2 
+       1.0_wp,         &  !< parameter 122 - [1/h] basic airflow without occupancy of the room for - summer 1.0_wp, winter 0.2
        1.0_wp,         &  !< parameter 123 - [1/h] additional airflow dependent on occupancy of the room for - summer 1.0_wp, winter 0.8
        0.0_wp,         &  !< parameter 124 - [-] heat recovery efficiency
@@ -8349,5 +8312,5 @@
        1344000.0_wp,   &  !< parameter 8   - [J/(m3*K)] heat capacity 3rd wall layer above ground floor level
        0.93_wp,        &  !< parameter 9   - [W/(m*K)] thermal conductivity 1st wall layer (outside) above ground floor level
-       0.035_wp,       &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level       
+       0.035_wp,       &  !< parameter 10  - [W/(m*K)] thermal conductivity 2nd wall layer above ground floor level
        0.68_wp,        &  !< parameter 11  - [W/(m*K)] thermal conductivity 3rd wall layer above ground floor level
        299.15_wp,      &  !< parameter 12  - [K] indoor target summer temperature
@@ -8630,5 +8593,5 @@
       1848000.0_wp,    &  !< parameter 136 - [J/(m3*K)] heat capacity 4th wall layer (downside) above ground floor level
       1.0_wp,          &  !< parameter 137 - [W/(m*K)] thermal conductivity 4th wall layer (downside) above ground floor level
-      1848000.0_wp,    &  !< parameter 138 - [J/(m3*K)] heat capacity 4th wall layer (downside) ground floor level 
+      1848000.0_wp,    &  !< parameter 138 - [J/(m3*K)] heat capacity 4th wall layer (downside) ground floor level
       1.0_wp,          &  !< parameter 139 - [W/(m*K)] thermal conductivity 4th wall layer (downside) ground floor level
       1848000.0_wp,    &  !< parameter 140 - [J/(m3*K)] heat capacity 4th wall layer (downside) ground plate
